import urllib.parse

from django import template

register = template.Library()


@register.simple_tag
def paginator_link(page, params={}):
    gets = params.copy()
    gets['page'] = page
    return '?' + urllib.parse.urlencode(gets)


@register.simple_tag
def search_link(order, params={}):
    gets = params.copy()
    gets['order'] = order
    return '?' + urllib.parse.urlencode(gets)
